<?php
function bbcode($string)
 {
  $string = preg_replace( "#\[b\](.+?)\[/b\]#is", "<b>\\1</b>", $string);
  $string = preg_replace( "#\[i\](.+?)\[/i\]#is", "<i>\\1</i>", $string);
  $string = preg_replace( "#\[u\](.+?)\[/u\]#is", "<u>\\1</u>", $string);
  $string = preg_replace( "#\[link\]www\.(.+?)\[/link\]#is", "<a href=\"http://www.\\1\">www.\\1</a>", $string);
  $string = preg_replace( "#\[link\](.+?)\[/link\]#is", "<a href=\"\\1\">\\1</a>", $string);

  return $string;
 }

function make_link($string)
 {
  $pattern = '#(^|[^\"=]{1})(http://|ftp://|mailto:|news:)([^\s<>]+)([\s\n<>]|$)#sm';
  $string = preg_replace($pattern,"\\1<a href=\"\\2\\3\">\\2\\3</a>\\4",$string);
  return $string;
 }

function nolongwords($text,$maxlaenge) {
   $text_arr = explode(" ",$text);
   $text="";
   for ($i=0;$i<count($text_arr);$i++){
       $text_arr[$i].=" ";
       $laenge = strlen($text_arr[$i]);
       if($laenge>=$maxlaenge){
           $word1 = substr($text_arr[$i],0,$maxlaenge);
           $rest = substr($text_arr[$i],$maxlaenge,$laenge);
           $zaehler = $laenge / $maxlaenge;
           $zaehler = round($zaehler)+1;
           $words = "";
           for($z=1;$z<$zaehler;$z++) {
              $getword = substr($rest,0,$maxlaenge);
              $words.= $getword." ";
              $rest = substr($rest,$maxlaenge,$laenge);
           }
           $text.= $word1." ".$words;
       }
       else
           $text.=$text_arr[$i];
   }
   $text=trim($text);
   return $text;
}

function blaettern($index, $entries_per_page, $entry_count)
 {
  if ($entry_count > $entries_per_page)
   {
    $new_index_before = $index -$entries_per_page;
    $new_index_after = $index +$entries_per_page;
    $site_count = ceil($entry_count / $entries_per_page);
    echo "&nbsp;&nbsp;&nbsp;";
    if ($new_index_before >= 0) echo "<a href=\"gaestebuch.php?index=" .$new_index_before ."\" title=\"vorige Seite\">&lt;&lt;</a>&nbsp;";
    if ($index == 3 * $entries_per_page) { echo "<a href=\"gaestebuch.php?index=0\">1</a>&nbsp;"; }
    elseif ($index >= 4 * $entries_per_page) { echo "<a href=\"gaestebuch.php?index=0\">1</a>&nbsp;<b>..</b>&nbsp;"; }
    for ($i = 0; $i < $site_count; $i++)
     {
      $site_index = $i * $entries_per_page;
      $site_name = $i +1;
      if ($index == $site_index or $index == $site_index-$entries_per_page or $index == $site_index+$entries_per_page or $index == $site_index-2*$entries_per_page or $index == $site_index+2*$entries_per_page)
       {
        if ($index != $site_index)
         {
          echo "<a href=\"gaestebuch.php?index=" .$site_index ."\">" .$site_name ."</a>&nbsp;";
         }
        else
         {
          echo "<span style=\"color: red; font-weight: bold;\">" .$site_name ."</span>&nbsp;";
         }
       }
     }
    if ($new_index_after < $entry_count) echo "<a href=\"gaestebuch.php?index=" .$new_index_after ."\" title=\"nchste Seite\">&gt;&gt;&nbsp;</a>";
   }
  else echo "";
 }
?>